curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentLineItems/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assessmentLineItem": {
"status": "active",
"title": "<string>",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"description": "<string>",
"class": {
"sourcedId": "<string>"
},
"parentAssessmentLineItem": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"resultValueMin": 123,
"resultValueMax": 123,
"component": {
"sourcedId": "<string>"
},
"componentResource": {
"sourcedId": "<string>"
},
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveIds": [
"<string>"
]
}
],
"course": {
"sourcedId": "<string>"
}
}
}
'{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}To create an Assessment Line Item. The responding system must return the set of sourcedIds that have been allocated to the newly created assessmentLineItem record. A ‘title’ MUST be provided when creating an assessmentLineItem.
curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentLineItems/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assessmentLineItem": {
"status": "active",
"title": "<string>",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"description": "<string>",
"class": {
"sourcedId": "<string>"
},
"parentAssessmentLineItem": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"resultValueMin": 123,
"resultValueMax": 123,
"component": {
"sourcedId": "<string>"
},
"componentResource": {
"sourcedId": "<string>"
},
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveIds": [
"<string>"
]
}
],
"course": {
"sourcedId": "<string>"
}
}
}
'{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Represents an assessment line item.
Show child attributes
Assessment line item successfully created
Show child attributes